# ftd – HttpApi Plugin for Cisco ASA Firepower device

New in version 2.7.

- Synopsis
- Parameters
- Status

## Synopsis

- This HttpApi plugin provides methods to connect to Cisco ASA firepower devices over a HTTP(S)-based api.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
spec_path string | Default: "/apispec/ngfw.json" | var: ansible_httpapi_ftd_spec_path | Specifies the api spec path of the FTD device
token_path string |  | var: ansible_httpapi_ftd_token_path | Specifies the api token path of the FTD device

## Status

- This httpapi is not guaranteed to have a backwards compatible interface. [preview]
- This httpapi is maintained by the Ansible Community. [community]

### Authors

- Ansible Networking Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.